@import 'libs/shared/assets/src/global-style/color';
.modal {
  width: 100%;
  &__label {
    font-weight: bold;
    margin-bottom: 1rem;
  }
  &__search-input {
    align-items: center;
  }
  input {
    border-radius: 8px;
    min-height: 40px;
  }
  button {
    background: $background-primary-button-color;
    color: $primary-button-color;
    border-radius: 8px;
    padding: 10px 24px;
    display: flex;
    min-height: 40px;
    border-color: initial;
    border: initial;
    margin-left: 16px;
    font-weight: bold;
    align-items: center !important;
  }
}
.modal-list {
  margin: 12px 24px 12px 24px;
  border-radius: 16px;
  &__row {
    margin-top: 1rem;
  }
  &__left {
    display: flex;
    justify-content: center;
    &__above {
      padding-top: 4px;
      padding-left: 15px;
    }
    &__select {
      width: 100%;
      ::ng-deep {
        .ant-select-selector {
          border-radius: 10px !important;
          min-height: 44px;
          display: flex;
          align-items: center;
        }
        .ant-select-selection-search-input {
          height: 100% !important;
        }
      }
    }
    &__label {
      font-size: 14px;
      color: #6e7191;
      line-height: 26px;
      font-weight: bold;
    }
    &__input {
      width: 100%;
      border-radius: 10px !important;
      min-height: 44px;
    }
    &__button {
      margin-top: 2rem;
      display: flex;
      justify-content: center;
    }
    &__button-primary {
      border-radius: 8px;
      display: flex;
      min-width: 174px;
      justify-content: center;
      align-items: center;
      padding: 6px 24px 6px 24px;
      font-size: 14px;
      min-height: 45px;
      background: #e8eaf6;
      color: #141ed2;
      font-weight: 600;
      border: initial;
      span {
        margin: 0px 4px;
      }
    }
    &__button-excel {
      border-radius: 6px;
      display: flex;
      align-items: center;
      padding: 8px 10px;
      font-size: 14px;
      min-height: 45px;
      background: white;
      border: 1px solid #e8eaf6;
      margin-left: 3rem;
      font-weight: 600;
      min-width: 36px;
      color: #141ed2;
    }
    &__button-action {
      height: 2.5rem;
      width: 2.5rem;
      padding: unset;
      display: block;
      em {
        font-size: 20px;
      }
    }
  }
}

.data-table {
  .table-header > th {
    background: $color-th;
    color: $text-pagination;
    font-family: avertaB, sans-serif;
  }
  .ml-tr-for-class:hover > td {
    background: $hover-table-row;
  }
}
